=== debian/control ===
Source: ros-noetic-turtlebot3-autorace-detect
Section: misc
Priority: optional
Maintainer: Ashe Kim <ashekim@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure
Homepage: http://wiki.ros.org/turtlebot3_autorace
Standards-Version: 3.9.2

Package: ros-noetic-turtlebot3-autorace-detect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-enum34, python-numpy, python3-opencv, ros-noetic-cv-bridge, ros-noetic-dynamic-reconfigure, ros-noetic-geometry-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf
Description: AutoRace ROS packages for feature detection with TurtleBot3 Auto
